import { Directive } from 'vue';

/**
 * * 当关闭这个页面时提示是否退出，不需要传递参数
 */
const existShow: Directive = {
	// 指令与元素绑定时触发
	beforeMount() {
		window.onbeforeunload = function (event) {
			(event || window.event).returnValue = '确定离开此页吗？';
		};
	},
};

export default existShow;
